Re: Command View Suite 10.3 on Windows 2012 Server (1386 Views)
Reply
Visitor
Flodin
Posts: 3
Registered: ‎11-24-2013
Message 1 of 7 (1,480 Views)

Command View Suite 10.3 on Windows 2012 Server

Hi!

 

We recently started to upgrade our Management Servers to Windows 2012 and after installing HP Command View Suite 10.3 on a Windows 2012 Server the following error is generated every few seconds in the Event Log:

                                                                   

"The application (PostgreSQL 9.0, from vendor PostgreSQL Global Development Group) has the following problem: To function properly, PostgreSQL 9.0 must be reinstalled after you upgrade Windows."

 

Anyone seen this error before? Any solutions? The applications seems to work as they should.

 

Thanks,

 

// Flodin

Honored Contributor
Johan Guldmyr
Posts: 3,845
Registered: ‎06-14-2009
Message 2 of 7 (1,441 Views)

Re: Command View Suite 10.3 on Windows 2012 Server

Hi, 

 

a few hits of this found with google..

 

http://daminion.net/user-forum/index.php?/topic/1087-finding-and-postgresql-warning-on-fresh-install...

 

 

It looks like you need to wait for a new version of Command View to be released with a new version of PostgreSQL.

You could confirm the error by checking which version of is installed in CV.

I'd advise to contact HP support, maybe they have a fix or can forward this information to the CV developers.

 

Upgrading the postgresql inside Command View sounds complicated and is probably very unsupported :)

Visitor
Flodin
Posts: 3
Registered: ‎11-24-2013
Message 3 of 7 (1,433 Views)

Re: Command View Suite 10.3 on Windows 2012 Server

PostgreSQL 9.0.1 is installed with CV.

 

We have played around on a test machine and tried to update PostgreSQL inside CV but no luck yet. I will check with HP Support and see if they can help/know anything.

 

Thanks,

 

// Flodin

Acclaimed Contributor
Torsten.
Posts: 23,285
Registered: ‎10-02-2001
Message 4 of 7 (1,418 Views)

Re: Command View Suite 10.3 on Windows 2012 Server

I think postgres is only used by the performance advisor, so you can try to deselect the component while installing.


Hope this helps!
Regards
Torsten.

__________________________________________________

There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________

No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Visitor
Flodin
Posts: 3
Registered: ‎11-24-2013
Message 5 of 7 (1,386 Views)

Re: Command View Suite 10.3 on Windows 2012 Server


Torsten. wrote:

I think postgres is only used by the performance advisor, so you can try to deselect the component while installing.


Problem is that we use PA so that is (was) not an option.

 

However we have now solved the problem by installing Postgres 9.0.14 (newer versions did not work) first and then installing CV Suite 10.3.

 

During the installation of CV there is a question about using a current Postgres database and we just pointed to the Postgres 9.0.14 directory and everything works fine. No more errors in the eventlog. :-)

 

// Flodin

Honored Contributor
Sebastian.Koehler
Posts: 1,157
Registered: ‎02-27-2007
Message 6 of 7 (1,279 Views)

Re: Command View Suite 10.3 on Windows 2012 Server

Your hint pointed me to the correct solution. Thanks for that. I had CV 10.3.1 already running and just downloaded postgresql-9.0.15-1-windows-binaries.zip from EDB website and replaced the whole content of C:\Program Files (x86)\Hewlett-Packard\EVAPA\Postgres90 with the one in the archive. No further action was required to resolve the issue. Don't forget to shutdown the EVAPA services (DB and Server) first.

 

Regards,

Sebastian

---
Assign a kudo to this post, if you find it useful.
Acclaimed Contributor
Torsten.
Posts: 23,285
Registered: ‎10-02-2001
Message 7 of 7 (1,275 Views)

Re: Command View Suite 10.3 on Windows 2012 Server

I was not aware of command view 10.3.1 patch so far ... the release note say

When EVAPA is installed on a Windows 2012 server, the following message appears in the Windows application log: The application (PostgreSQL 9.0 from vendor PostgreSQL Global Development Group) has the following problem: To function properly, PostgreSQL 9.0 must be reinstalled after you upgrade Windows.

http://h20565.www2.hp.com/portal/site/hpsc/template.PAGE/public/psi/swdDetails/?sp4ts.oid=5167256&sp...

Well, waiting for the next patch ... ;-)

Hope this helps!
Regards
Torsten.

__________________________________________________

There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________

No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.